Package org.apache.sysds.parser

# Enum Class Expression.BinaryOp

java.lang.Object
java.lang.Enum<Expression.BinaryOp>
org.apache.sysds.parser.Expression.BinaryOp

All Implemented Interfaces:
  `Serializable`, `Comparable<Expression.BinaryOp>`, `Constable`

Enclosing class:
  Expression

public static enum Expression.BinaryOp extends Enum<Expression.BinaryOp>
Binary operators.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIV`
`INTDIV`
`INVALID`
`MATMULT`
`MINUS`
`MODULUS`
`MULT`
`PLUS`
`POW`

## Method Summary

Modifier and Type
Method
Description
`static Expression.BinaryOp`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Expression.BinaryOp[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PLUS

public static final Expression.BinaryOp PLUS

### MINUS

public static final Expression.BinaryOp MINUS

### MULT

public static final Expression.BinaryOp MULT

### DIV

public static final Expression.BinaryOp DIV

### MODULUS

public static final Expression.BinaryOp MODULUS

### INTDIV

public static final Expression.BinaryOp INTDIV

### MATMULT

public static final Expression.BinaryOp MATMULT

### POW

public static final Expression.BinaryOp POW

### INVALID

public static final Expression.BinaryOp INVALID

## Method Details

### values

public static Expression.BinaryOp[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Expression.BinaryOp valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null